These are chat archives for canjs/canjs

1st
Jul 2017
Viktor Busko
@Lighttree
Jul 01 2017 11:39

Someone has an issue with You can't have two versions of can-observation, check your dependencies after latest updates ? :D

I think this was some NPM issue, just downgraded it to 4th and this disappeared

Frank Lemanschik
@frank-dspeed
Jul 01 2017 11:39
Victor do npm ls can-oberservation please and post it here
Viktor Busko
@Lighttree
Jul 01 2017 11:40
@frank-dspeed fixed, so don't worry :)
Frank Lemanschik
@frank-dspeed
Jul 01 2017 11:40
please tell me how
Viktor Busko
@Lighttree
Jul 01 2017 11:40
aaah
Frank Lemanschik
@frank-dspeed
Jul 01 2017 11:40
the question was yesterday also
Viktor Busko
@Lighttree
Jul 01 2017 11:40
I had this issues with NPM5
Frank Lemanschik
@frank-dspeed
Jul 01 2017 11:40
ah ok thanks
Viktor Busko
@Lighttree
Jul 01 2017 11:40
just removed package-lock.json to allow npm re-generate it.
this helped
Frank Lemanschik
@frank-dspeed
Jul 01 2017 11:40
Ok thanks a lot for sharing the info
Viktor Busko
@Lighttree
Jul 01 2017 11:41
but today I decided to downgrade to 4th, because there were other issues as well.
Frank Lemanschik
@frank-dspeed
Jul 01 2017 11:41
what issues
we need to know them to solve them
Viktor Busko
@Lighttree
Jul 01 2017 11:43
they are not related to can.js just issues with other packages. In some reason NPM didn't installed lots of not 1st level dependencies.
But actually I have an issue with webpack + can-fixtures if you are interested :D

As far as I can see someone already tried to fix it:

canjs/can-fixture@ba1370a

but it is still there

but this is webpack issue as far as I understand
Frank Lemanschik
@frank-dspeed
Jul 01 2017 11:47
maybe i am not sure about that
at present i am focusing on general package problems
like wrong version get installed and that
cant find
your issue in can-fixture issues
Frank Lemanschik
@frank-dspeed
Jul 01 2017 16:45
Does some one know where the repos for this are https://canjs.com/doc/guides/recipes/file-navigator-advanced.html ?
it has typos i want to correct